A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sinh
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Hyperbolic functions

## Functions
array | sinh (const array &in)
| C++ Interface to evaluate the hyperbolic sine function.
af_err | af_sinh (af_array *out, const af_array in)
| C Interface to evaluate the hyperbolic sine function.

## Detailed Description

Evaluate the hyperbolic sine function.

## Function Documentation

## ◆ af_sinh()

af_err af_sinh | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the hyperbolic sine function.

Parameters

  [out] | out | hyperbolic sine
  [in] | in | input

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ sinh()

array sinh | ( | const array & | in | ) |

C++ Interface to evaluate the hyperbolic sine function.

Parameters

  [in] | in | input array

Returns
  hyperbolic sine